#!/bin/sh
# /root/my-applications/bin/Checks.sh
# (or other suitable "bin" directory)
#
# Checking if you have the requirementsfor MRUF-lst.
# Thanks to B.K. Johnson for pointing out this need.
#
# (c) musher0, 2017-08-17. GPL3.
####
clear
echo "
Checking for MRUF-lst requirements.
-----------------------------------
"
for i in sfs_load replaceit aemenu-pango bcm;do echo;which $i;echo;done
echo "
# If the file name is listed, you have the utility.
# Hit Return to continue."
read
clear
echo
ls -d /usr/local/apps/UExtract
echo "
# If the directory name is listed, you have the utility.
# Hit Return to continue."
read
clear
for i in bash file less;do echo;$i --version |head -n 3;done
echo "
# These utils show their version number.

# Bash has to be v. 4.2 or higher.
# less must NOT be the busybox one. 
(It would say 'BusyBox' on the 1st line.)
# Lesser version numbers of less and file are ok.

# Hit Return to continue."
read
clear
urxvt -h
echo "# Urxvt has no parm. to list its version number. It is on the first 
line above. It has to be v.9.2 or higher."
read
clear
echo "
That's it. 
The check for the utilities required by MRUF-lst 
is now complete.
"
